> For the complete documentation index, see [llms.txt](https://docs.fonbnk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fonbnk.com/server-to-server/api-endpoints/merchant-balance/get-crypto-withdrawal-options.md).

# Get crypto withdrawal options

## <mark style="color:$success;">\[GET]</mark> /api/v2/merchant-balance/withdrawal/options

Returns the `(network, asset)` pairs you can withdraw to, with display metadata, formatting precision, and withdrawal `feeSettings` applied on broadcast.

Amount limits are not included here.

Use *Get crypto withdrawal limits* for the authoritative min and max values.

Request: no body or query params.

Response type:

{% code overflow="wrap" expandable="true" %}

```typescript
type Response = {
  currencyCode: string;   // e.g. "POLYGON_USDC"
  network: string;
  asset: string;
  networkTitle: string;
  assetTitle: string;
  networkIcon: string;
  assetIcon: string;
  exchangeRate: number;   // USD -> crypto rate
  precision: number;
  feeSettings: {
    id: string;
    recipient: string;
    type: string;         // e.g. "flat_amount"
    value: number;
    min: number;
    max: number | "Infinity";
  }[];
}[]
```

{% endcode %}

Response example:

{% code overflow="wrap" expandable="true" %}

```json
[
  {
    "currencyCode": "POLYGON_USDC",
    "network": "POLYGON",
    "asset": "USDC",
    "networkTitle": "Polygon",
    "assetTitle": "USD Coin",
    "networkIcon": "https://assets.fonbnk.com/networks/polygon.svg",
    "assetIcon": "https://assets.fonbnk.com/assets/usdc.svg",
    "exchangeRate": 1,
    "precision": 6,
    "feeSettings": [
      {
        "id": "gas",
        "recipient": "blockchain",
        "type": "flat_amount",
        "value": 0.000645,
        "min": 0,
        "max": "Infinity"
      }
    ]
  }
]
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fonbnk.com/server-to-server/api-endpoints/merchant-balance/get-crypto-withdrawal-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
